## org.h2.dev.store
Class FilePathCache.FileCache

    java.lang.Object
      java.nio.channels.spi.AbstractInterruptibleChannel
          java.nio.channels.FileChannel
              org.h2.store.fs.FileBase
                  org.h2.dev.store.FilePathCache.FileCache

All Implemented Interfaces:
  java.io.Closeable, java.nio.channels.ByteChannel, java.nio.channels.Channel, java.nio.channels.GatheringByteChannel, java.nio.channels.InterruptibleChannel, java.nio.channels.ReadableByteChannel, java.nio.channels.ScatteringByteChannel, java.nio.channels.WritableByteChannel

Enclosing class:
  FilePathCache

    public static class FilePathCache.FileCache

extends FileBase

A file with a read cache.

Nested Class Summary

Nested classes/interfaces inherited from class java.nio.channels.FileChannel
`java.nio.channels.FileChannel.MapMode`

Method Summary
`void` `force(boolean metaData)`
`protected void` `implCloseChannel()`
`long` `position()`
`java.nio.channels.FileChannel` `position(long newPosition)`
`int` `read(java.nio.ByteBuffer dst)`
`long` `size()`
`java.lang.String` `toString()`
`java.nio.channels.FileChannel` `truncate(long newSize)`
`java.nio.channels.FileLock` `tryLock(long position, long size, boolean shared)`
`int` `write(java.nio.ByteBuffer src)`

Methods inherited from class org.h2.store.fs.FileBase
`lock, map, read, read, transferFrom, transferTo, write, write`

Methods inherited from class java.nio.channels.FileChannel
`lock, read, tryLock, write`

Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel
`begin, close, end, isOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.nio.channels.Channel
`close, isOpen`

Method Detail

### implCloseChannel

    protected void implCloseChannel()
                             throws java.io.IOException

  Overrides:
    `implCloseChannel` in class `FileBase`
  Throws:
    `java.io.IOException`

### position

    public java.nio.channels.FileChannel position(long newPosition)
                                           throws java.io.IOException

  Specified by:
    `position` in class `FileBase`
  Throws:
    `java.io.IOException`

### position

    public long position()
                  throws java.io.IOException

  Specified by:
    `position` in class `FileBase`
  Throws:
    `java.io.IOException`

### read

    public int read(java.nio.ByteBuffer dst)
             throws java.io.IOException

  Specified by:
    `read` in interface `java.nio.channels.ReadableByteChannel`
  Specified by:
    `read` in class `FileBase`
  Throws:
    `java.io.IOException`

### size

    public long size()
              throws java.io.IOException

  Specified by:
    `size` in class `FileBase`
  Throws:
    `java.io.IOException`

### truncate

    public java.nio.channels.FileChannel truncate(long newSize)
                                           throws java.io.IOException

  Specified by:
    `truncate` in class `FileBase`
  Throws:
    `java.io.IOException`

### write

    public int write(java.nio.ByteBuffer src)
              throws java.io.IOException

  Specified by:
    `write` in interface `java.nio.channels.WritableByteChannel`
  Specified by:
    `write` in class `FileBase`
  Throws:
    `java.io.IOException`

### force

    public void force(boolean metaData)
               throws java.io.IOException

  Overrides:
    `force` in class `FileBase`
  Throws:
    `java.io.IOException`

### tryLock

    public java.nio.channels.FileLock tryLock(long position,
                                              long size,
                                              boolean shared)
                                       throws java.io.IOException

  Overrides:
    `tryLock` in class `FileBase`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`